unit AboutF;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  QLocal, QFormLocal, ExtCtrls, StdCtrls;

type
  TfmAbout = class(TForm)
    paButton: TPanel;
    paClient: TPanel;
    buOK: TButton;
    imLogo: TImage;
    laTitle: TLabel;
    laCopyright: TLabel;
    laInfo: TLabel;
    laURL: TLabel;
    Localizer: TQFormLocalizer;
    procedure FormCreate(Sender: TObject);
    procedure laURLClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmAbout: TfmAbout;

implementation

uses ShellApi, MainF;

{$R *.DFM}

procedure TfmAbout.FormCreate(Sender: TObject);
begin
  inherited;
  imLogo.Picture.Icon.ReleaseHandle();
  imLogo.Picture.Icon.Handle := LoadIcon(HInstance, 'MAINICON');
end;

procedure TfmAbout.laURLClick(Sender: TObject);
begin
  ShellExecute(Application.Handle, nil, PChar((Sender as TLabel).Caption), nil, nil,
    SW_SHOWNORMAL);
end;

end.
